#include <avr/io.h>
#include <util/delay.h>

#define noteDuration  2000          

uint16_t readADC(uint8_t channel) {
	ADMUX = (0xf0 & ADMUX) | channel;
	ADCSRA |= (1 << ADSC);
	loop_until_bit_is_clear(ADCSRA, ADSC);
	return(ADC);
}



void playNote(uint16_t wavelength, uint16_t duration) {
  uint16_t elapsed;
  uint16_t i;
  for (elapsed = 0; elapsed < duration; elapsed += wavelength) {
      for (i = 0; i < wavelength; i++) {
      _delay_us(1);
    }
    PORTB ^= (1 << PB1);
  }
}

uint8_t x;

int main(void) {
	
	uint16_t adcValue;

	ADMUX |= (1 << REFS0);
	ADCSRA |= (1 << ADPS1) | (1 << ADPS0);
	ADCSRA |= (1 << ADEN);
	
	DDRB |= (1 << PB0) | (1 << PB1);
	DDRC |= (1 << PC0);
	PORTB |= (1 << PB0);

while(1) {

	adcValue = readADC(0);
	_delay_us(10);
	if (adcValue < 20) {
		
		for (x = 0; x < 50; x++) {		
		playNote(20, noteDuration);			
			
		  }
			
		}
		
	else {
		PORTB &= ~(1 << PB1);
	}

}

	

return (0);
}